GLM_EXT_vector_relational
Stable extensions

Exposes comparison functions for vector types that take a user defined epsilon values. More...

## Functions

template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y, T epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, T, Q > const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y, int ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, int, Q > const &ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, T epsilon)
| Returns the component-wise comparison of |x - y| >= epsilon. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, T, Q > const &epsilon)
| Returns the component-wise comparison of |x - y| >= epsilon. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, int ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, int, Q > const &ULPs)
| Returns the component-wise comparison between two vectors in term of ULPs. More...

## Detailed Description

Exposes comparison functions for vector types that take a user defined epsilon values.

Include <glm/ext/vector_relational.hpp> to use the features of this extension.

See also
  core_vector_relational
  GLM_EXT_scalar_relational
  GLM_EXT_matrix_relational

## Function Documentation

GLM_FUNC_DECL GLM_CONSTEXPR vec<L, bool, Q> glm::equal | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y,
|  | T | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is satisfied.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

GLM_FUNC_DECL GLM_CONSTEXPR vec<L, bool, Q> glm::equal | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y,
|  | vec< L, T, Q > const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| < epsilon.

True if this expression is satisfied.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

GLM_FUNC_DECL GLM_CONSTEXPR vec<L, bool, Q> glm::equal | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y,
|  | int | ULPs
| ) |  |

Returns the component-wise comparison between two vectors in term of ULPs.

True if this expression is satisfied.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point
  Q | Value from qualifier enum

GLM_FUNC_DECL GLM_CONSTEXPR vec<L, bool, Q> glm::equal | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y,
|  | vec< L, int, Q > const & | ULPs
| ) |  |

Returns the component-wise comparison between two vectors in term of ULPs.

True if this expression is satisfied.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point
  Q | Value from qualifier enum

GLM_FUNC_DECL GLM_CONSTEXPR vec<L, bool, Q> glm::notEqual | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y,
|  | T | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| >= epsilon.

True if this expression is not satisfied.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

GLM_FUNC_DECL GLM_CONSTEXPR vec<L, bool, Q> glm::notEqual | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y,
|  | vec< L, T, Q > const & | epsilon
| ) |  |

Returns the component-wise comparison of |x - y| >= epsilon.

True if this expression is not satisfied.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point or integer scalar types
  Q | Value from qualifier enum

GLM_FUNC_DECL GLM_CONSTEXPR vec<L, bool, Q> glm::notEqual | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y,
|  | int | ULPs
| ) |  |

Returns the component-wise comparison between two vectors in term of ULPs.

True if this expression is not satisfied.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point
  Q | Value from qualifier enum

GLM_FUNC_DECL GLM_CONSTEXPR vec<L, bool, Q> glm::notEqual | ( | vec< L, T, Q > const & | x,
|  | vec< L, T, Q > const & | y,
|  | vec< L, int, Q > const & | ULPs
| ) |  |

Returns the component-wise comparison between two vectors in term of ULPs.

True if this expression is not satisfied.

Template Parameters

  L | Integer between 1 and 4 included that qualify the dimension of the vector
  T | Floating-point
  Q | Value from qualifier enum